import request from "@/utils/request";
import FilterSheetService from "@/views/flow/common/CheckTopInfos/filterSheetService.vue";

// 获取基础工艺路线详情
export function getRouteInfo(id: string) {
  return request({
    url: `/api/v1/op/route/get/${id}`,
    method: "get",
  });
}
export function getSeqInInfo(id: string) {
  return request({
    url: `/api/v1/plan/seq/in/stock/get/${id}`,
    method: "get",
  });
}

export class DrawerTitleClass {
  static routeFlowComService = "工艺流程审核";
  static routeFlowService = "产品工艺流程审核";
  static seqInFlowService = "成品入库审核流程";
  static workFormService = "生产随工单审核流程";
  static filterSheetService = "普通筛选单审核流程";
  static filterHSheetService = "H级筛选单审核流程";
  static reworkService = "返工记录卡审核流程";
  static removeService = "剔除审核流程";
  static itemReplaceService = "物料替换审核流程";
}

export class TopTitleClass {
  static routeFlowComService = "工艺信息";
  static routeFlowService = "产品工艺信息";
  static seqInFlowService = "成品入库";
  static filterSheetService = "普通筛选单";
  static filterHSheetService = "H级筛选单";
  static removeService = "剔除";
  static reworkService = "返工记录卡";
  static itemReplaceService = "物料替换";
}

export class ComponentNameClass {
  static routeFlowComService = "RouteFlowComService";
  static routeFlowService = "RouteFlowService";
  static seqInFlowService = "SeqInFlowService";
  static workFormService = "WorkFormService";
  static filterSheetService = "FilterSheetService";
  static filterHSheetService = "FilterHSheetService";
  static removeService = "RemoveService";
  static reworkService = "ReworkService";
  static itemReplaceService = "ItemReplaceService";
}
